set(Omega_h_VERSION 9.34.13)
#The definition of this macro is really inconvenient prior to CMake
#commit ab358d6a859d8b7e257ed1e06ca000e097a32ef6
#we'll just copy the latest code into our Config.cmake file
macro(latest_find_dependency dep)
  if (NOT ${dep}_FOUND)
    set(cmake_fd_quiet_arg)
    if(${CMAKE_FIND_PACKAGE_NAME}_FIND_QUIETLY)
      set(cmake_fd_quiet_arg QUIET)
    endif()
    set(cmake_fd_required_arg)
    if(${CMAKE_FIND_PACKAGE_NAME}_FIND_REQUIRED)
      set(cmake_fd_required_arg REQUIRED)
    endif()

    get_property(cmake_fd_alreadyTransitive GLOBAL PROPERTY
      _CMAKE_${dep}_TRANSITIVE_DEPENDENCY
    )

    find_package(${dep} ${ARGN}
      ${cmake_fd_quiet_arg}
      ${cmake_fd_required_arg}
    )

    if(NOT DEFINED cmake_fd_alreadyTransitive OR cmake_fd_alreadyTransitive)
      set_property(GLOBAL PROPERTY _CMAKE_${dep}_TRANSITIVE_DEPENDENCY TRUE)
    endif()

    if (NOT ${dep}_FOUND)
      set(${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE "${CMAKE_FIND_PACKAGE_NAME} could not be found because dependency ${dep} could not be found.")
      set(${CMAKE_FIND_PACKAGE_NAME}_FOUND False)
      return()
    endif()
    set(cmake_fd_required_arg)
    set(cmake_fd_quiet_arg)
    set(cmake_fd_exact_arg)
  endif()
endmacro(latest_find_dependency)

latest_find_dependency(MPI 3)
latest_find_dependency(ZLIB )
set(Omega_h_EXPORTED_TARGETS "Omega_h-MPI;Omega_h-ZLIB;omega_h")
foreach(tgt IN LISTS Omega_h_EXPORTED_TARGETS)
  include(${CMAKE_CURRENT_LIST_DIR}/${tgt}-target.cmake)
endforeach()
set(Omega_h_USE_MPI "ON")
set(Omega_h_ENABLE_DEMANGLED_STACKTRACE "OFF")
set(Omega_h_DBG "OFF")
set(Omega_h_USE_Kokkos "OFF")
set(Omega_h_USE_OpenMP "OFF")
set(Omega_h_USE_CUDA "OFF")
set(Omega_h_USE_ZLIB "ON")
set(Omega_h_USE_libMeshb "OFF")
set(Omega_h_USE_EGADS "OFF")
set(Omega_h_USE_SEACASExodus "OFF")
set(Omega_h_USE_DOLFIN "OFF")
set(Omega_h_USE_dwarf "")
set(Omega_h_CHECK_BOUNDS "OFF")
set(Omega_h_THROW "OFF")
set(Omega_h_USE_CUDA_AWARE_MPI "OFF")
set(Omega_h_USE_Gmsh "OFF")
set(Omega_h_IS_SHARED "ON")
set(Omega_h_VERSION_MAJOR "9")
set(Omega_h_VERSION_MINOR "34")
set(Omega_h_VERSION_PATCH "13")
set(Omega_h_SEMVER "9.34.13+10000010000000001")
set(Omega_h_COMMIT "")
set(Omega_h_CXX_FLAGS "-O2 -flto=auto -ffat-lto-objects -fexceptions -g -grecord-gcc-switches -pipe -Wall -Werror=format-security -Wp,-U_FORTIFY_SOURCE,-D_FORTIFY_SOURCE=3 -Wp,-D_GLIBCXX_ASSERTIONS -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -fstack-protector-strong -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1  -mbranch-protection=standard -fasynchronous-unwind-tables -fstack-clash-protection -fno-omit-frame-pointer -mno-omit-leaf-frame-pointer")
set(Omega_h_CMAKE_ARGS "-DBUILD_TESTING:BOOL=\"ON\" -DCMAKE_INSTALL_PREFIX:PATH=\"/usr/lib64/openmpi\" -DOmega_h_USE_MPI:BOOL=\"ON\" -DOmega_h_USE_MPI:BOOL=\"ON\" -DOmega_h_USE_OpenMP:BOOL=\"OFF\" -DOmega_h_USE_CUDA:BOOL=\"OFF\"")
